AXEN(4)

NAME
axen - ASIX Electronics AX88178a/AX88179 10/100/Gigabit USB Ethernet device

SYNOPSIS
axen* at uhub? port ?
rgephy* at mii?

DESCRIPTION
The axen driver provides support for USB Ethernet adapters based on the ASIX Electronics AX88178a USB 2.0 and AX88179 USB 3.0 chipsets including the following:

Buffalo LUA4-U3-AGT
D-Link DUB-1312
Kurotoshiko GbE-USB3.0
Kurotoshiko GbE-USB3.0S2
Logitec LAN-GTJU3
Logitec LAN-GTJU3H3
Shanghai Donya DN-84327

The axen driver supports the following media types:

autoselect
    Enable autoselection of the media type and options (this is the default). The user can manually override the autoselected mode by adding media options to the appropriate ifconfig.if(5) file.

10baseT
    Set 10Mbps operation.

100baseTX
    Set 100Mbps (Fast Ethernet) operation.

1000baseT
    Set 1000Mbps (Gigabit Ethernet) operation.

For more information on configuring this device, see ifconfig(8).

DIAGNOSTICS
See usbnet(4) for diagnostics.

SEE ALSO
arp(4), mii(4), netintro(4), rgephy(4), usb(4), usbnet(4), ifconfig.if(5), ifconfig(8)

HISTORY
The axen device driver first appeared in OpenBSD 5.4 and in NetBSD 7.0.

AUTHORS
-nosplit The axen driver was written by Yojiro UO <yuo@nui.org> for OpenBSD and ported to NetBSD by NONAKA Kimihiro <nonaka@NetBSD.org>.